__doc__="""ZStyleSheet init"""
__version__='3.1'

from ImageFile import ImageFile

import ZStyleSheet
import ZSSRule
import ZSSAttribute

meta_types=(
	{'name': 'Z Style Sheet', 'action': 'manage_addZStyleSheetForm'},
	)

methods={
	'manage_addZStyleSheetForm':  ZStyleSheet.manage_addZStyleSheetForm,
	'manage_addZStyleSheet': ZStyleSheet.manage_addZStyleSheet,
	'manage_addZSSRuleForm': ZSSRule.manage_addZSSRuleForm,
	'manage_addZSSRule': ZSSRule.manage_addZSSRule,
	'manage_addZSSAttrForm': ZSSAttribute.manage_addZSSAttrForm,
	'manage_addZSSAttr': ZSSAttribute.manage_addZSSAttr,
	}

# Permission to be added to folders:
__ac_permissions__=(
	('Add Z Style Sheet',
	('manage_addZStyleSheetForm', 'manage_addZStyleSheet')),
	)

misc_={
	'ZStyleSheet'	: ImageFile('ZStyleSheetIcon.gif', globals()),
	'ZSSRule'	: ImageFile('ZSSRuleIcon.gif', globals()),
	'ZSSAttr'	: ImageFile('ZSSAttrIcon.gif', globals()),
    }
